LibreOffice: ChartTypeTemplate Service Reference

LibreOffice LibreOffice 5.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Exported Interfaces | List of all members
ChartTypeTemplate Service Reference

`import"ChartTypeTemplate.idl";`

Inheritance diagram for ChartTypeTemplate:

## Exported Interfaces
interface | ::com::sun::star::chart2::XChartTypeTemplate

## Additional Inherited Members
Public Member Functions inherited from XChartTypeTemplate
XDiagram | createDiagramByDataSource ([in] com::sun::star::chart2::data::XDataSource xDataSource, [in] sequence< com::sun::star::beans::PropertyValue > aArguments)
| Creates a new diagram based upon the given data . More...
boolean | supportsCategories ()
void | changeDiagram ([in] XDiagram xDiagram)
| Analyses the given diagram and reinterprets its DataSeries and Categories and creates a new diagram based on these series. More...
void | changeDiagramData ([in] XDiagram xDiagram, [in] com::sun::star::chart2::data::XDataSource xDataSource, [in] sequence< com::sun::star::beans::PropertyValue > aArguments)
| Changes the given diagram `xDiagram` by using the new data given in `xDataSource`. More...
boolean | matchesTemplate ([in] XDiagram xDiagram, [in] boolean bAdaptProperties)
| States whether the given diagram could have been created by the template. More...
XChartType | getChartTypeForNewSeries ([in] sequence< XChartType > aFormerlyUsedChartTypes)
| Provides a chart type object that can be used to create new series. More...
XDataInterpreter | getDataInterpreter ()
void | applyStyle ([in] XDataSeries xSeries, [in] long nChartTypeGroupIndex, [in] long nSeriesIndex, [in] long nSeriesCount)
| Applies a chart-type specific style (e.g. More...
void | resetStyles ([in] XDiagram xDiagram)
| Resets all styles that were changed from the default at any object in the chart and have not been later modified. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Exported Interfaces

interface ::com::sun::star::chart2::XChartTypeTemplate

The documentation for this service was generated from the following file:

- com/sun/star/chart2/ChartTypeTemplate.idl